package app

import (
	"fmt"

	"github.com/gin-gonic/gin"
	"github.com/google/uuid"
)

type Server struct {
	*gin.Engine
}

func generateServerID() string {
	return uuid.New().String()
}

func (s Server) Listen(address string) error {
	fmt.Printf("API server listening at: %s\n\n", address)
	return s.Run(address)
}

func (s Server) StartScheduler() {
	fmt.Printf("Scheduler started\n")
}
